# CoreGuiType

## Overview

CoreGuiType is an Enum that defines the key GUI elements of games and applications.

This is used in the GetCoreGuiEnabled() and SetCoreGuiEnabled() methods of StarterGui and controls whether various system UI elements are displayed.

## Items

| Name       | Value | Description                                               |
| ---------- | ----- | --------------------------------------------------------- |
| PlayerList | 0     | Currently not supported.                                  |
| Health     | 1     | Currently not supported.                                  |
| Backpack   | 2     | Displays player’s backpack.                               |
| Chat       | 3     | Currently not supported.                                  |
| All        | 4     | Displays all the CoreGui elements comprehensively.        |
| EmotesMenu | 5     | Currently not supported.                                  |
| SelfView   | 6     | Currently not supported.                                  |
| Joystick   | 7     | Displays a virtual joystick for movement control.         |
| JumpButton | 8     | Displays a button that makes the player’s avatar to jump. |

## See also

{% content-ref url="/pages/9E6dC4SZnZ7YM6Eu3QYK" %}
[StarterGui](/development/api-reference/classes/startergui.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/coreguitype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
